<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY screengrab-download-http "https://github.com/lxqt/screengrab/releases/download/&screengrab-version;/screengrab-&screengrab-version;.tar.xz">
  <!ENTITY screengrab-download-ftp  " ">
  <!ENTITY screengrab-md5sum        "b56af6addfdb14a405ed67b1611d6569">
  <!ENTITY screengrab-size          "344 KB">
  <!ENTITY screengrab-buildsize     "7.9 MB">
  <!ENTITY screengrab-time          "0.3 SBU">
]>

<sect1 id="screengrab" xreflabel="screengrab-&screengrab-version;">
  <?dbhtml filename="screengrab.html"?>


  <title>screengrab-&screengrab-version;</title>

  <indexterm zone="screengrab">
    <primary sortas="a-screengrab">screengrab</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to screengrab</title>

    <para>
      The <application>screengrab</application> package is a cross-platform
      tool for making screenshots quickly.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&screengrab-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&screengrab-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &screengrab-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &screengrab-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &screengrab-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &screengrab-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">screengrab Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="lxqt-kwindowsystem"/> and
      <xref linkend="libqtxdg"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of screengrab</title>

    <para>
      Install <application>screengrab</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

cmake -D CMAKE_BUILD_TYPE=Release  \
      -D CMAKE_INSTALL_PREFIX=/usr \
      ..                           &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the &root; user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

    <para>
      If you have <xref linkend="xdg-utils"/> installed, as the &root;
      user, run <command>xdg-icon-resource forceupdate --theme hicolor</command>.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Program</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          screengrab
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/share/screengrab and
          /usr/share/doc/screengrab
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="screengrab-prog">
        <term><command>screengrab</command></term>
        <listitem>
          <para>
            is a cross platform tool for creating screenshots quickly
          </para>
          <indexterm zone="screengrab screengrab-prog">
            <primary sortas="b-screengrab">screengrab</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
